Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.operator
Class EvaluateResults

    java.lang.Object
      edu.udo.cs.miningmart.operator.ExecutableOperator
          edu.udo.cs.miningmart.operator.EvaluateResults

Direct Known Subclasses:
  ComputeSVMError

public abstract class EvaluateResults
extends ExecutableOperator

This class is the superclass for evaluation operators. They do not have an output on the conceptual level, ie no output concept or output attribute. They may be used to evaluate a data mining operator. They compare the values of two columns.

Version:
  $Id: EvaluateResults.java,v 1.7 2006/04/11 14:10:11 euler Exp $
Author:
  Timm Euler

Field Summary

Fields inherited from class edu.udo.cs.miningmart.operator.ExecutableOperator
`generatedSQLDefinitions`

Constructor Summary
`EvaluateResults()`

Method Summary
`void` | `compileStatement()` Abstract method for compiling the generated sql-statement.
`abstract double` | `computeResult(double[] actualvalue, double[] predicted)` Abstract method to be implemented by all subclasses.
`void` | `createStatement(boolean lazy)` Abstract method for generating an sql-statement.
`EstimatedStatistics` | `estimateStatistics(Step theStep)` Abstract method for estimating statistics for a concept.
`BaseAttribute` | `getActualValueAttribute()` Gets the actualValueAttribute.
`Concept` | `getInputConcept()` Gets the input Concept.
`BaseAttribute` | `getPredictedValueAttribute()` Gets the predictedValueAttribute.
`void` | `writeResults()`

Methods inherited from class edu.udo.cs.miningmart.operator.ExecutableOperator
`autoPrint, checkConditions, doPrint, doPrint, execute, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getArtificalColumnName, getBusinessDbms, getHighestLoopNr, getM4Db, getM4Dbms, getM4ObjectFromCache, getName, getNextM4SequenceValue, getNumberOfLoops, getOperator, getOpParamsIterator, getParameter, getParameter, getSingleParameter, getSingleParameter, getStep, handleAssertions, isDeselectedParameter, isLoopable, isManual, isStepable, load, print, putM4ObjectToCache, showCreateStatement, storedProceduresAvailable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EvaluateResults

    public EvaluateResults()

Method Detail

### computeResult

    public abstract double computeResult(double[] actualvalue,
                                         double[] predicted)
                                  throws M4CompilerError

  Abstract method to be implemented by all subclasses. The values of two columns are compared to compute an error. The "true" values of a column as well as the learned/predicted ones are given. The result should be an error value of some description.

  Parameters:
    `actualvalue` - An array with the true values.
    `predicted` - An array with the predicted values.
  Returns:
    an error value
  Throws:
    `M4CompilerError`

### createStatement

    public void createStatement(boolean lazy)
                         throws java.sql.SQLException,
                                M4CompilerError

  Description copied from class: `ExecutableOperator`
  Abstract method for generating an sql-statement. This method handles the process of generating an sql-statement for an operator. The implementation is done individually by every operator.

  Specified by:
    `createStatement` in class `ExecutableOperator`
  Parameters:
    `lazy` - If TRUE, run in lazy mode: create atmost one output ColumnSet
  Throws:
    `java.sql.SQLException`
    `M4CompilerError`
  See Also:
    `edu.udo.cs.miningmart.operator.Operator#createStatement`

### writeResults

    public void writeResults()
                      throws java.sql.SQLException,
                             M4CompilerError

  Throws:
    `java.sql.SQLException`
    `M4CompilerError`
  See Also:
    `edu.udo.cs.miningmart.operator.ExecutableOperator#writeResults()`

### compileStatement

    public void compileStatement()
                          throws java.sql.SQLException,
                                 M4CompilerError

  Description copied from class: `ExecutableOperator`
  Abstract method for compiling the generated sql-statement. This method tests if the generated sql-statement is executable in the database. The implementation is done individually by every operator.

  Specified by:
    `compileStatement` in class `ExecutableOperator`
  Throws:
    `java.sql.SQLException`
    `M4CompilerError`
  See Also:
    `edu.udo.cs.miningmart.m4.ExecutableOperator#compileStatement()`

### estimateStatistics

    public EstimatedStatistics estimateStatistics(Step theStep)
                                           throws M4Exception

  Description copied from class: `ExecutableOperator`
  Abstract method for estimating statistics for a concept. The realisation of this method depends on the type of operator that is connected to the step that creates the concept whose statistics are to be estimated. Therefore the implementation is done in this class and its subclasses.

  Specified by:
    `estimateStatistics` in class `ExecutableOperator`
  Parameters:
    `theStep` - the step that creates the output concept whose statistics are to be estimated
  Returns:
    an `EstimatedStatistics` object, some of whose values may or may not be available, depending on whether they could be guessed or inferred.
  Throws:
    `M4Exception`
  See Also:
    `ExecutableOperator.estimateStatistics(Step)`

### getActualValueAttribute

    public BaseAttribute getActualValueAttribute()
                                          throws M4CompilerError

  Gets the actualValueAttribute.

  Returns:
    Returns a BaseAttribute
  Throws:
    `M4CompilerError`

### getInputConcept

    public Concept getInputConcept()
                            throws M4CompilerError

  Gets the input Concept.

  Returns:
    Returns a Concept
  Throws:
    `M4CompilerError`

### getPredictedValueAttribute

    public BaseAttribute getPredictedValueAttribute()
                                             throws M4CompilerError

  Gets the predictedValueAttribute.

  Returns:
    Returns a BaseAttribute
  Throws:
    `M4CompilerError`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005